package com.cool.bang.modules.mysql.mapper;

import com.cool.bang.modules.mysql.domain.mysql.MysqlUser;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;

/**
 * 描述：
 *
 * @author PeiZhi Guo
 * 2023-3-6 15:46
 */
public interface UserMapper {

    /**
     * 查询企业
     */
    Map<String, Object> selectByOrgCode(String orgCode);

    /**
     * 插入
     */
    int insert(MysqlUser mysqlUser);

    /**
     * 插入中间表
     */
    int insertRole(@Param("userId") Long userId, @Param("roleId") Long roleId);

}
