package com.cool.bang.modules.oracle.domain;

import com.cool.bang.modules.mysql.domain.Building;

import java.math.BigDecimal;
import java.util.Date;

public class AregItem {

    private Integer aregitemid;

    /**
     * 楼幢编号
     */
    private String lzbh;


    /**
     * 银行保函比例
     */
    private Integer bhpercent;

    /**
     * 降低比例（降低留存比例--对应调剂比例）
     */
    private Integer jdpercent;

    /**
     * 当前施工进度比例
     */
    private Integer propercent;

    /**
     * 工程进度名称
     */
    private String progressname;

    /**
     * 楼幢信息
     */
    private Building building;

    /**
     * 监管余额
     */
    private BigDecimal jgye;

    /**
     * 托管余额
     */
    private BigDecimal tgye;

    /**
     * 监管在途资金
     */
    private BigDecimal jgzt;

    /**
     * 托管在途资金
     */
    private BigDecimal tgzt;

    /**
     * 建安造价
     */
    private Integer jazj;

    /**
     * 留存比例
     */
    private BigDecimal lcbl;

    /**
     * 留存金额
     */
    private BigDecimal lcje;

    /**
     * 监管资金（重点资金）
     */
    private BigDecimal jgzj;

    /**
     * 监管状态 1正常 -1解除
     */
    private Integer jgState;

    /**
     * 建筑面积
     */
    private BigDecimal jzmj;

    /**
     * 楼幢名称
     */
    private String lzmc;

    /**
     * 楼幢日期
     */
    private Date lzrq;

    public String getLzmc() {
        return lzmc;
    }

    public void setLzmc(String lzmc) {
        this.lzmc = lzmc;
    }

    public BigDecimal getJzmj() {
        return jzmj;
    }

    public void setJzmj(BigDecimal jzmj) {
        this.jzmj = jzmj;
    }

    public Integer getJgState() {
        return jgState;
    }

    public void setJgState(Integer jgState) {
        this.jgState = jgState;
    }

    public BigDecimal getJgzj() {
        return jgzj;
    }

    public void setJgzj(BigDecimal jgzj) {
        this.jgzj = jgzj;
    }

    public BigDecimal getLcje() {
        return lcje;
    }

    public void setLcje(BigDecimal lcje) {
        this.lcje = lcje;
    }


    public BigDecimal getLcbl() {
        return lcbl;
    }

    public void setLcbl(BigDecimal lcbl) {
        this.lcbl = lcbl;
    }

    public Integer getJazj() {
        if (jazj == null){
            return 0;
        }else {
            return jazj;
        }
    }

    public void setJazj(Integer jazj) {
        this.jazj = jazj;
    }

    public BigDecimal getJgye() {
        return jgye;
    }

    public void setJgye(BigDecimal jgye) {
        this.jgye = jgye;
    }

    public BigDecimal getTgye() {
        return tgye;
    }

    public void setTgye(BigDecimal tgye) {
        this.tgye = tgye;
    }

    public Integer getAregitemid() {
        return aregitemid;
    }

    public void setAregitemid(Integer aregitemid) {
        this.aregitemid = aregitemid;
    }

    public Integer getBhpercent() {
        if (bhpercent == null) {
            return 0;
        }else {
            return bhpercent;
        }
    }

    public void setBhpercent(Integer bhpercent) {
        this.bhpercent = bhpercent;
    }

    public Integer getJdpercent() {
        if (jdpercent == null){
            return 0;
        }else {
            return jdpercent;
        }
    }

    public void setJdpercent(Integer jdpercent) {
        this.jdpercent = jdpercent;
    }

    public Integer getPropercent() {
        if (propercent == null){
            return 0;
        }else {
            return propercent;
        }
    }

    public void setPropercent(Integer propercent) {
        this.propercent = propercent;
    }

    public String getProgressname() {
        return progressname;
    }

    public void setProgressname(String progressname) {
        this.progressname = progressname;
    }

    public String getLzbh() {
        return lzbh;
    }

    public void setLzbh(String lzbh) {
        this.lzbh = lzbh;
    }

    public Building getBuilding() {
        return building;
    }

    public void setBuilding(Building building) {
        this.building = building;
    }

    public BigDecimal getJgzt() {
        return jgzt;
    }

    public void setJgzt(BigDecimal jgzt) {
        this.jgzt = jgzt;
    }

    public BigDecimal getTgzt() {
        return tgzt;
    }

    public void setTgzt(BigDecimal tgzt) {
        this.tgzt = tgzt;
    }

    public Date getLzrq() {
        return lzrq;
    }

    public void setLzrq(Date lzrq) {
        this.lzrq = lzrq;
    }

    @Override
    public String toString() {
        return "AregItem{" +
                "aregitemid=" + aregitemid +
                ", lzbh='" + lzbh + '\'' +
                ", bhpercent=" + bhpercent +
                ", jdpercent=" + jdpercent +
                ", propercent=" + propercent +
                ", progressname='" + progressname + '\'' +
                ", building=" + building +
                ", jgye=" + jgye +
                ", tgye=" + tgye +
                ", jgzt=" + jgzt +
                ", tgzt=" + tgzt +
                ", jazj=" + jazj +
                ", lcbl=" + lcbl +
                ", lcje=" + lcje +
                ", jgzj=" + jgzj +
                ", jgState=" + jgState +
                ", jzmj=" + jzmj +
                ", lzmc='" + lzmc + '\'' +
                '}';
    }
}
