package com.cool.bang.modules.oracle.domain;

import java.math.BigDecimal;
import java.util.Date;

/**
 * oracle appropriation
 *
 * @author PeiZhi Guo
 * 2023-3-13 11:51
 */
public class OracleAppropriation {

    private String businessNumber;

    private String appropriationAccount;

    private String superviseAccount;

    private Integer orgMisId;

    private Integer appId;

    private Integer aregId;

    private Integer appType;

    private BigDecimal applyAmount;

    private Integer flowId;

    private Integer flowNodeId;

    private String flowNodeName;

    private Integer flowState;

    private String directory;

    private String phone;

    private Integer zjFlag;

    private Integer zgFlag;

    private Date createTime;

    private Date updateTime;

    public String getFlowNodeName() {
        return flowNodeName;
    }

    public void setFlowNodeName(String flowNodeName) {
        this.flowNodeName = flowNodeName;
    }

    public String getBusinessNumber() {
        return businessNumber;
    }

    public void setBusinessNumber(String businessNumber) {
        this.businessNumber = businessNumber;
    }

    public String getAppropriationAccount() {
        return appropriationAccount;
    }

    public void setAppropriationAccount(String appropriationAccount) {
        this.appropriationAccount = appropriationAccount;
    }

    public String getSuperviseAccount() {
        return superviseAccount;
    }

    public void setSuperviseAccount(String superviseAccount) {
        this.superviseAccount = superviseAccount;
    }

    public Integer getOrgMisId() {
        return orgMisId;
    }

    public void setOrgMisId(Integer orgMisId) {
        this.orgMisId = orgMisId;
    }

    public Integer getAppId() {
        return appId;
    }

    public void setAppId(Integer appId) {
        this.appId = appId;
    }

    public Integer getAregId() {
        return aregId;
    }

    public void setAregId(Integer aregId) {
        this.aregId = aregId;
    }

    public Integer getAppType() {
        return appType;
    }

    public void setAppType(Integer appType) {
        this.appType = appType;
    }

    public BigDecimal getApplyAmount() {
        return applyAmount;
    }

    public void setApplyAmount(BigDecimal applyAmount) {
        this.applyAmount = applyAmount;
    }

    public Integer getFlowId() {
        return flowId;
    }

    public void setFlowId(Integer flowId) {
        this.flowId = flowId;
    }

    public Integer getFlowNodeId() {
        return flowNodeId;
    }

    public void setFlowNodeId(Integer flowNodeId) {
        this.flowNodeId = flowNodeId;
    }

    public Integer getFlowState() {
        return flowState;
    }

    public void setFlowState(Integer flowState) {
        this.flowState = flowState;
    }

    public String getDirectory() {
        return directory;
    }

    public void setDirectory(String directory) {
        this.directory = directory;
    }

    public String getPhone() {
        return phone;
    }

    public void setPhone(String phone) {
        this.phone = phone;
    }

    public Integer getZjFlag() {
        return zjFlag;
    }

    public void setZjFlag(Integer zjFlag) {
        this.zjFlag = zjFlag;
    }

    public Integer getZgFlag() {
        return zgFlag;
    }

    public void setZgFlag(Integer zgFlag) {
        this.zgFlag = zgFlag;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    @Override
    public String toString() {
        return "OracleAppropriation{" +
                "businessNumber='" + businessNumber + '\'' +
                ", appropriationAccount='" + appropriationAccount + '\'' +
                ", superviseAccount='" + superviseAccount + '\'' +
                ", orgMisId='" + orgMisId + '\'' +
                ", appId=" + appId +
                ", aregId=" + aregId +
                ", appType=" + appType +
                ", applyAmount=" + applyAmount +
                ", flowId=" + flowId +
                ", flowNodeId=" + flowNodeId +
                ", flowNodeName='" + flowNodeName + '\'' +
                ", flowState=" + flowState +
                ", directory='" + directory + '\'' +
                ", phone='" + phone + '\'' +
                ", zjFlag=" + zjFlag +
                ", zgFlag=" + zgFlag +
                ", createTime=" + createTime +
                ", updateTime=" + updateTime +
                '}';
    }
}
