package com.cool.bang.modules.oracle.domain.po;

import java.math.BigDecimal;
import java.util.Date;
import java.util.List;

/**
 * 监管资金转托管业务表
 */
public class Jgztg {
    /**
     * 业务编号
     */
    private String ywbh;

    /**
     * 监管账号
     */
    private String jgzh;

    /**
     * 企业编号
     */
    private Integer qybh;

    /**
     * 项目编号
     */
    private String xmbh;

    /**
     * 联系人
     */
    private String lxr;

    /**
     * 联系电话
     */
    private String lxdh;

    /**
     * 托管账号
     */
    private String tgzh;

    /**
     * 项目转入金额
     */
    private BigDecimal xmzrje;

    /**
     * 拨付状态 0 未拨付 1 已拨付
     */
    private Integer bfzt;

    /**
     * 资金用途
     */
    private String payuse;

    /**
     * 交易编号
     */
    private String paycode;

    /**
     * 申请日期
     */
    private Date sqrq;

    /**
     * 审核日期
     */
    private Date shrq;

    /**
     * 监管转托管明细
     */
    private List<Jgztgmx> jgztgmxList;

    /**
     * 审批流程
     */
    private List<SFlow> sFlowList;

    public Date getSqrq() {
        return sqrq;
    }

    public void setSqrq(Date sqrq) {
        this.sqrq = sqrq;
    }

    public Date getShrq() {
        return shrq;
    }

    public void setShrq(Date shrq) {
        this.shrq = shrq;
    }

    public String getPaycode() {
        return paycode;
    }

    public void setPaycode(String paycode) {
        this.paycode = paycode;
    }

    public String getPayuse() {
        return payuse;
    }

    public void setPayuse(String payuse) {
        this.payuse = payuse;
    }

    public Integer getBfzt() {
        return bfzt;
    }

    public void setBfzt(Integer bfzt) {
        this.bfzt = bfzt;
    }

    public String getYwbh() {
        return ywbh;
    }

    public void setYwbh(String ywbh) {
        this.ywbh = ywbh;
    }

    public String getJgzh() {
        return jgzh;
    }

    public void setJgzh(String jgzh) {
        this.jgzh = jgzh;
    }

    public Integer getQybh() {
        return qybh;
    }

    public void setQybh(Integer qybh) {
        this.qybh = qybh;
    }

    public String getXmbh() {
        return xmbh;
    }

    public void setXmbh(String xmbh) {
        this.xmbh = xmbh;
    }

    public String getLxr() {
        return lxr;
    }

    public void setLxr(String lxr) {
        this.lxr = lxr;
    }

    public String getLxdh() {
        return lxdh;
    }

    public void setLxdh(String lxdh) {
        this.lxdh = lxdh;
    }

    public String getTgzh() {
        return tgzh;
    }

    public void setTgzh(String tgzh) {
        this.tgzh = tgzh;
    }

    public BigDecimal getXmzrje() {
        return xmzrje;
    }

    public void setXmzrje(BigDecimal xmzrje) {
        this.xmzrje = xmzrje;
    }

    public List<Jgztgmx> getJgztgmxList() {
        return jgztgmxList;
    }

    public void setJgztgmxList(List<Jgztgmx> jgztgmxList) {
        this.jgztgmxList = jgztgmxList;
    }

    public List<SFlow> getsFlowList() {
        return sFlowList;
    }

    public void setsFlowList(List<SFlow> sFlowList) {
        this.sFlowList = sFlowList;
    }
}
