package com.cool.bang.modules.mysql.domain;
/**
 * 银行信息
 *
 * @author PeiZhi Guo
 * @version 1.0.0
 * 2022-08-08 10:21
 */
public class Bank {

    private static final long serialVersionUID = 1L;

    private Long id;

    /** 银行编码 建议采用标准银行编码（3位，不含地区码等）*/
    private String code;

    /** 银行名称 */
    private String bankName;

    /** 联系人 */
    private String director;

    /** 联系电话 */
    private String phone;

    /** 银行地址 */
    private String address;

    /** 托管业务 1办理 0不办理 */
    private Integer trusteeship;

    /** 监管业务 1办理 0不办理 */
    private Integer supervise;

    /** 授权状态 0 未授权 1已授权 */
    private Integer authState;

    /** 接口token */
    private String token;

    /** 接口secret */
    private String secret;

    /** 删除标识 1正常 0删除 */
    private Integer delFlag;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getCode() {
        return code;
    }

    public void setCode(String code) {
        this.code = code;
    }

    public String getBankName() {
        return bankName;
    }

    public void setBankName(String bankName) {
        this.bankName = bankName;
    }

    public String getDirector() {
        return director;
    }

    public void setDirector(String director) {
        this.director = director;
    }

    public String getPhone() {
        return phone;
    }

    public void setPhone(String phone) {
        this.phone = phone;
    }

    public String getAddress() {
        return address;
    }

    public void setAddress(String address) {
        this.address = address;
    }

    public Integer getTrusteeship() {
        return trusteeship;
    }

    public void setTrusteeship(Integer trusteeship) {
        this.trusteeship = trusteeship;
    }

    public Integer getSupervise() {
        return supervise;
    }

    public void setSupervise(Integer supervise) {
        this.supervise = supervise;
    }

    public Integer getAuthState() {
        return authState;
    }

    public void setAuthState(Integer authState) {
        this.authState = authState;
    }

    public String getToken() {
        return token;
    }

    public void setToken(String token) {
        this.token = token;
    }

    public String getSecret() {
        return secret;
    }

    public void setSecret(String secret) {
        this.secret = secret;
    }

    public Integer getDelFlag() {
        return delFlag;
    }

    public void setDelFlag(Integer delFlag) {
        this.delFlag = delFlag;
    }
}
